<template>
    <li>
        <router-link :to="to">
            <svg class="leftIcon">
                <use :xlink:href="icon"/>
            </svg>
            {{ label }}
        </router-link>
    </li>
</template>

<script>
	export default {
		name: "MenuLink",
        props: {
			to: {
				required: true
			},
			label: {
				type: String,
                required: true
            },
			icon: {
				type: String,
                required: true
            },
        }
	}
</script>

<style scoped>

</style>
